# https://github.com/ib/xarchiver/archive/0.5.4.13.tar.gz

Name:           xarchiver
Version:        0.5.4.21
Release:        %mkrel 1
Summary:        Xarchiver, a lightweight archiving/compression tool

License:        GPLv2
Group:          Archiving/Compression
URL:            https://github.com/ib/xarchiver
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  libpthread-stubs
BuildRequires:  wayland-protocols-devel
Requires:       binutils
Requires:       unzip
Requires:       zip

%description
Xarchiver is a GTK+2 only frontend to 7z, zip, rar, tar, bzip2, gzip, arj,
lha, rpm and deb (open and extract only). Xarchiver allows you to create,
add, extract and delete files in the above formats. 7z, zip, rar, arj
password protected archives are supported.

%prep
%setup -q

%build
%configure2_5x --enable-gtk2=no
%make_build

%install
%makeinstall_std
desktop-file-edit \
  --remove-category={"Compression","GTK"} \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  %{buildroot}/%{_desktopdir}/%{name}.desktop
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_libexecdir}/thunar-archive-plugin
%{_libexecdir}/thunar-archive-plugin/xarchiver.tap
%{_desktopdir}/%{name}.desktop
%doc %{_docdir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.bz2
%{_datadir}/pixmaps/%{name}

%changelog
* Sat May 27 2023 tex - 0.5.4.21-1pclos2023
- new version
